Page MenuHomePhabricator

"Days" and "limit" links on RC page need AJAX
Closed, ResolvedPublic

Description

  1. Go to RC page and clear all default filters (click on the trash bin icon).
  2. Select any of the filters (except 'Logged actions' or 'Category changes') and click on 'Show' (the returned results are not important).
  3. Click on any option in 'Show last [# of results]' or change the option for days to display in 'Recent changes options'.
  4. Click on 'Show' - the three of default filters will be automatically added: 'Page edits', 'Page creations', and 'Logged actions'.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2017, 11:16 PM
Mooeypoo removed Mooeypoo as the assignee of this task.EditedJan 31 2017, 1:13 AM
Mooeypoo added a subscriber: Mooeypoo.

I saw this in action and here's my (99% confidence) theory:

Two things are in play here:

  • When you click the links below the filter layout, you get a non updated URL (so, whatever the current state of the filters in the filter popup is not represented) -- this means that the base status (the status of whatever the filters were when you *opened* that page) is represented.
  • That URL only sends "relevant" (currently active) filters - which means that when you reload it (because you clicked the link) then you get the representation you want PLUS your defaults. In this case, you supposedly get "none" (but the URL reflects none) plus defaults - which is why default filters are loaded.

This is a good support for the argument of making the URL query include all filters (even the =0 or 'false' ones) all the time. It would mean that no matter what and when and regardless of hidden defaults, your state is always the same according to the URL.

Whoever fixes this, we should probably try and get the links under the filter popup to be updated with the filter states in the popup itself, if nothing else.

Taking myself off the 'assigned' for the moment to unlick this cookie and allow for prioritization within the team.

Catrope renamed this task from RC filters - Default RC filters are added automatically when 'Recent changes options' are changed to "Days" and "limit" links on RC page need AJAX.Feb 14 2017, 7:12 PM

There is a 'mismatch" in URL when the same UI action (the same filters selection) and clicking on 'IPs contribs'.

Click on 'IPs contribs' - Special:RecentChanges&hideliu=1&hideanons=0 and the UI displays 'Unregistered', 'Human (not bot)', 'Page edits', 'Page creation', 'Logged actions'

Select manually 'Unregistered', 'Human (not bot)', 'Page edits', 'Page creation', 'Logged actions' - Special:RecentChanges&hideliu=1&hideanons=0&userExpLevel=all&hidemyself=0&hidebyothers=0&hidebots=1&hidehumans=0&hideminor=0&hidemajor=0&hidepageedits=0&hidenewpages=0&hidecategorization=1&hidelog=0

Checked for the specific links "days" and "limits" (as per the title) - works as expected: users selection of filters (or highlighting) will be preserved when 'days' or 'limits' will be clicked.

All other links/functionality will be checked as part of T157594: Make the old parts of the new RC form work in the same, dynamic fashion as the new filters controls.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Mar 6 2017, 8:52 PM
jmatazzoni claimed this task.